# class ActiveLdap::Schema::Entry

### Attributes

aliases[R]
description[R]
id[R]
name[R]

### Public Class Methods

new(name, schema, group) click to toggle source

    # File lib/active_ldap/schema.rb, line 288
    def initialize(name, schema, group)
      @schema = schema
      @name, *@aliases = attribute("NAME", name)
      @name ||= name
      @id = @schema.resolve_name(group, @name)
      collect_info
      @schema = nil
    end

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/active_ldap/schema.rb, line 307
    def <=>(other)
      name <=> other.name
    end

eql?(other) click to toggle source

    # File lib/active_ldap/schema.rb, line 297
    def eql?(other)
      self.class == other.class and
        (id == other.id or
         (id.nil? and other.nil? and name == other.name))
    end

hash() click to toggle source

    # File lib/active_ldap/schema.rb, line 303
    def hash
      id.nil? ? name.hash : id.hash
    end

to_param() click to toggle source

    # File lib/active_ldap/schema.rb, line 311
    def to_param
      name
    end